# HG changeset patch
# User Deepthi Devaki
# Date 1372054133 -19800
# Node ID 7f9730659262eed1746df4ce17217d6e5c455f92
# Parent  caaf0b1a045c9e79b8124dab5585e0ca1a75dd42
Fixed heap corruption

diff -r caaf0b1a045c -r 7f9730659262 source/Lib/TLibCommon/TComPrediction.cpp
--- a/source/Lib/TLibCommon/TComPrediction.cpp	Fri Jun 21 17:49:50 2013 +0530
+++ b/source/Lib/TLibCommon/TComPrediction.cpp	Mon Jun 24 11:38:53 2013 +0530
@@ -609,7 +609,9 @@
  */
 Void TComPrediction::xPredInterLumaBlk(TComDataCU *cu, TComPicYuv *refPic, UInt partAddr, TComMv *mv, Int width, Int height, TComYuv *&dstPic, Bool bi)
 { 
+#if HIGHBITDEPTH
     if(bi == false)
+#endif
     {
         assert(bi == false);
 
@@ -628,6 +630,7 @@
 
         x265::primitives.cpyblock(width, height, (pixel*)dst, dstStride, (pixel*)src, srcStride);
     }
+#if HIGHBITDEPTH
     else /* For biprediction. will work correctly only when HIGHBITDEPTH enabled. Will be removed once bipred is fixed.  */
     {
         assert(bi == true);
@@ -676,6 +679,7 @@
             free(tmp);
         }
     }
+#endif
 }
 
 //Motion compensated block for biprediction
@@ -763,7 +767,9 @@
     Int filterSize = NTAPS_CHROMA;
 
     Int halfFilterSize = (filterSize >> 1);
+#if HIGHBITDEPTH
     if(bi == false)
+#endif
     {
         if (yFrac == 0)
         {
@@ -797,6 +803,7 @@
             xFree(extY);
         }
     }
+#if HIGHBITDEPTH
     else  /* For biprediction. will work correctly only when HIGHBITDEPTH enabled. Will be removed once bipred is fixed.  */
     {    
         Short* dstCb = (Short*)dstPic->getCbAddr(partAddr);
@@ -842,6 +849,7 @@
         }
         
     }
+#endif
 }
 
 //Generate motion compensated block when biprediction
